Ver una repetición de Agentic
GET
/sites/{siteId}/agentic/runs/{jobId}- Permiso
ai:read- Herramienta MCP
agentic_results
One Agentic browsing re-run: status and result Poll every 15 seconds or so until status is done (with result) or failed (with error). The MCP tool agentic_results does the same with job_id.
Las descripciones vienen del documento OpenAPI y están en inglés.
Parámetros
| Nombre | Dónde | Detalles |
|---|---|---|
siteIdObligatorio | ruta | stringWebsite id, from GET /sites. |
jobIdObligatorio | ruta | stringRun id, from POST /agentic/run. |
Respuesta
200 · application/json
| Campo | Detalles |
|---|---|
jobId | string · required; Run id |
url | string · required; Page |
strategy | mobile | desktop · required; Device PageSpeed emulated |
queuedAt | string or null · required |
startedAt | string or null · required |
finishedAt | string or null · required |
status | queued | running | done | failed · required; Run state |
result | object · required; The result once done |
result.url | string |
result.template | string |
result.strategy | string |
result.testedAt | string |
result.lighthouseVersion | string |
result.passed | number |
result.applicable | number |
result.checks | list of objects |
result.checks[].id | string |
result.checks[].title | string |
result.checks[].state | string |
result.checks[].value | |
error | string or null · required; Why it failed, in plain words (also set when done without Agentic checks) |
link | address (URL) · The Performance screen in the app |
Errores
| Estado | Significado |
|---|---|
401 | Missing, unknown or revoked key. Codes: missing_key, invalid_key. |
403 | The key lacks the scope, covers another website, or its owner lost access. Codes: missing_scope, other_site, owner_left, no_owner, forbidden. |
404 | Not found. Codes: not_found. |
429 | Too many requests this hour for this key. Codes: rate_limited. |
Petición de ejemplo
curl \
-H "Authorization: Bearer mr_ws_…" \
"https://app.monoranks.com/api/v1/sites/SITE_ID/agentic/runs/JOB_ID"const res = await fetch("https://app.monoranks.com/api/v1/sites/SITE_ID/agentic/runs/JOB_ID", {
headers: { Authorization: "Bearer mr_ws_…" },
});
if (!res.ok) throw new Error((await res.json()).error.message);
const data = await res.json();import requests
res = requests.get(
"https://app.monoranks.com/api/v1/sites/SITE_ID/agentic/runs/JOB_ID",
headers={"Authorization": "Bearer mr_ws_…"},
)
res.raise_for_status()
data = res.json()<?php
$ch = curl_init("https://app.monoranks.com/api/v1/sites/SITE_ID/agentic/runs/JOB_ID");
curl_setopt_array($ch, [
CURLOPT_HTTPHEADER => ["Authorization: Bearer mr_ws_…"],
CURLOPT_RETURNTRANSFER => true,
]);
$data = json_decode(curl_exec($ch), true);import axios from "axios";
const { data } = await axios.get("https://app.monoranks.com/api/v1/sites/SITE_ID/agentic/runs/JOB_ID", { headers: { Authorization: "Bearer mr_ws_…" } });Respuesta de ejemplo
{
"jobId": "a1c3e5f7-9b1d-4f3b-8d5f-7b9d1f3b5d7e",
"url": "https://acmebikes.com/",
"strategy": "mobile",
"queuedAt": "2026-10-06T09:31:00.000Z",
"startedAt": "2026-10-06T09:31:02.000Z",
"finishedAt": "2026-10-06T09:31:41.000Z",
"status": "done",
"result": {
"url": "https://acmebikes.com/",
"template": "home",
"strategy": "mobile",
"testedAt": "2026-10-06T09:31:40.000Z",
"lighthouseVersion": "13.5.0",
"passed": 1,
"applicable": 2,
"checks": [
{
"id": "accessibility-tree",
"title": "Page has a well-formed accessibility tree",
"state": "pass",
"value": null
},
{
"id": "llms-txt",
"title": "Site has a valid llms.txt",
"state": "fail",
"value": null,
"detail": "No llms.txt file was found at the site root.",
"items": [
{
"url": "https://acmebikes.com/llms.txt",
"message": "Request returned 404"
}
]
},
{
"id": "webmcp-tools",
"title": "Page exposes WebMCP tools",
"state": "na",
"value": null
}
]
},
"error": null,
"link": "https://app.monoranks.com/sites/3f6c2a1e-8b4d-4c7a-9e21-5d0b7a6f4c13/performance#agentic"
}{
"error": {
"code": "missing_key",
"message": "Send the key as Authorization: Bearer mr_site_…"
}
}{
"error": {
"code": "missing_scope",
"message": "This key does not have the scope this call needs."
}
}{
"error": {
"code": "not_found",
"message": "No Agentic browsing run with this id for this website."
}
}{
"error": {
"code": "rate_limited",
"message": "More than 1200 requests this hour for this key."
}
}El servidor MCP hace lo mismo con la herramienta agentic_results.